-- kairam

dofile("scripts/entities/entityinclude.lua")

function init()
	setupConversationEntity("")
	entity_initSkeletal("Mer", "Efendu")
	entity_animate("idle", -1)
	entity_setActivation(AT_CLICK, 80, 256)
		
	if isMapName("MithalasCastle") then
		if getFlag("NOFLAG")==0 then			
		else
			entity_delete()
		end
	end
	entity_scale(0.65, 0.65)
end

function activate()
	if getFlag("Q3")==0 then
		if onceConversation("Q3-intro") then
			setFlag("GardenActive", 1)
		end
		conversation("Q3-reminder")
		setStringFlag("Hint", "Hint_Q3")
	elseif getFlag("Q4")==1 then
		onceConversation("Q4-done")
		setStringFlag("Hint", "")
	elseif getFlag("Q3")==1 then
		if not(onceConversation("Q3-done")) then
			onceConversation("Q4-intro")
			conversation("Q4-reminder")
			setStringFlag("Hint", "Hint_Q4")
		else
			setStringFlag("Hint", "")
		end
	end
end

function update(dt)
end

function enterState()
end

function exitState()
end


